# $Revision: 1.24 $, $Date: 2004/08/18 19:10:22 $
Summary:	Console Font Editor
Summary(pl):	Edytor fontw konsolowych
Name:		cfe
Version:	0.12
Release:	4
License:	GPL v2
Group:		Applications/Console
Vendor:		Eugene Osintsev <osgene@omskelecom.ru>
Source0:	http://lrn.ru/~osgene/files/%{name}-%{version}.tar.gz
# Source0-md5:	c37cca14cacd6c6be27f8fa6cc10e89b
Patch0:		%{name}-DESTDIR.patch
URL:		http://lrn.ru/~osgene/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	ncurses-devel >= 5.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
cfe is a Linux console font editor which works well both on the
console and the terminal. It includes such abilities as various glyph
transforming, multi-level undo, and comparing glyphs of two fonts.

%description -l pl
cfe jest edytorem fontw konsolowych dla Linuksa, pracujcym zarwno
na konsoli jak i terminalu. Posiada takie moliwoci, jak rne
przeksztacenia fontw, wielostopniowe cofanie i porwnywanie dwch
fontw.

%prep
%setup -q
%patch -p0

%build
%{__aclocal}
%{__autoconf}
%configure
%{__make} CFLAGS="%{rpmcflags} -Wall -I/usr/include/ncurses"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_mandir}/man1}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog
%attr(755,root,root) %{_bindir}/cfe
%{_mandir}/man1/*.1*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: cfe.spec,v $
Revision 1.24  2004/08/18 19:10:22  averne
- rel 4

Revision 1.23  2003/11/26 23:15:52  speedy
- release 3

Revision 1.22  2003/08/06 16:44:43  kloczek
- moe wrescie kto wykasuje to konto ?

Revision 1.21  2003/07/07 04:23:51  blues
- many small fixes, inspired by kloczek

Revision 1.20  2003/05/26 16:24:47  malekith
- massive attack: adding Source-md5

Revision 1.19  2003/05/25 05:46:13  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.18  2002/12/13 15:26:09  ankry
- adapterized

Revision 1.17  2002/10/09 13:14:18  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.16  2002/08/28 10:41:17  qboosh
- new %%doc, release 2

Revision 1.15  2002/05/21 23:12:43  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.14  2002/04/25 16:04:37  arturs
fixed a small typo

Revision 1.13  2002/02/25 12:06:05  marcus
- new version 0.12

Revision 1.12  2002/02/23 01:33:39  kloczek
- adapterized.

Revision 1.11  2002/02/22 23:28:44  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.10  2002/01/18 02:12:33  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.9  2001/12/08 17:48:13  blues
- 0.10 (many, many bugfixes, man-page...)
- switched to ac/am stuff
- license changed to GPL v2
- added manuals
- switched to DESTDIR-style instalation
- new URLs
STBR

Revision 1.8  2001/05/02 02:43:01  qboosh
- adapterized and made spec %%debug ready or added using %%rpm*flags macros

Revision 1.7  2000/07/13 23:06:44  baggins
- release 3
- rebuild with ncurses 5.1

Revision 1.6  2000/07/13 20:38:08  baggins
- release 2

Revision 1.5  2000/06/09 07:22:48  kloczek
- added using %%{__make} macro.

Revision 1.4  2000/05/18 16:58:01  kloczek
- spec adapterized.

Revision 1.3  2000/04/01 11:14:24  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.2  2000/03/28 16:54:15  baggins
- translated kloczkish into english

Revision 1.1  2000/02/04 02:36:55  pius
- initial release
